LibreOffice: DependencyException Exception Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Types | List of all members
DependencyException Exception Reference

describes unsatisfied dependencies a deployment unit has on its target environment. More...

`import <DependencyException.idl;`

Inheritance diagram for DependencyException:

## Public Types
typedef sequence< com::sun::star::xml::dom::XElement > | UnsatisfiedDependencies
| a sequence of dependencies represented by XML elements.

## Additional Inherited Members
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown.
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception.

## Detailed Description

describes unsatisfied dependencies a deployment unit has on its target environment.

This exception is intended to be used with an com::sun::star::task::XInteractionHandler.

Since
  OOo 2.0.4

## Member Typedef Documentation

## ◆ UnsatisfiedDependencies

sequence< com::sun::star::xml::dom::XElement > UnsatisfiedDependencies

a sequence of dependencies represented by XML elements.

The exact nature of those XML elements is deliberately left open, so that new kinds of dependencies can be defined in the future. OOo 2.0.4 does not define any kinds of dependencies. Each such XML element should have an attribute whose global name consists of the namespace name `http://openoffice.org/extensions/description/2006` and the local part `name` and whose value is a human-readable (English) description of the dependency. If an instance of OOo does not know more about a specific kind of dependency, it should display the value of that attribute to the user.

The sequence must not be empty, and none of the elements may be `NULL`.

The documentation for this exception was generated from the following file:

- com/sun/star/deployment/DependencyException.idl